<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="stack">
    <name>
      <text>23.2.5.4 FS task</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<p class="HELM_exercise">Exercise</p>
Obtain the Fourier series of the function
\[
\begin{align}
f(t) &amp;= t^2 \hspace{1cm} -1 &lt; t &lt; 1 \\ f(t + 2) &amp;= f(t)
\end{align}
\]<p style="text-align: center;"><img src="@@PLUGINFILE@@/23-2-5-fig-12-task-pulse.svg" alt="task-pulse" width="364" height="121" class="img-responsive atto_image_button_text-bottom"><br></p><p><br></p><p>&nbsp;
</p><p></p>
\(f(t) = \) [[input:ans1]] [[validation:ans1]] [[feedback:prt1]] + \(\displaystyle{\sum _{n=1}^\infty }\) [[input:ans2]][[validation:ans2]] [[feedback:prt2]]]]></text>
<file name="23-2-4 task square pulse.svg" path="/" encoding="base64">[encoded data, 5904 characters]</file>
<file name="23-2-5-fig-12-task-pulse.svg" path="/" encoding="base64">[encoded data, 14708 characters]</file>
    </questiontext>
    <generalfeedback format="html">
      <text><![CDATA[Since \(T = 2l = 2\) and since the function has a non-zero average value, the form of the Fourier series is
\[ \dfrac{a_0}{2} + \sum_{n=1}^\infty \left\{ a_n \cos (n\pi t) + b_n \sin (n\pi t) \right\} \]
Because the function is non-negative there will be a constant term. Since \(T = 2l = 2\) then \(l = 1\) and we have
\[
\begin{align}
a_n &amp;= \displaystyle{ \int _{-1}^1 }t^2 \cos (n\pi t) \hspace{0.15cm}dt \hspace{1cm} n = 0, 1, 2, \dots \\
b_n &amp;= \displaystyle{ \int _{-1}^1 }t^2 \sin (n\pi t) \hspace{0.15cm}dt  \hspace{1cm} n =  1, 2, \dots
\end{align}
\]
The constant term will be \(\dfrac{a_0}{2}\) where \( a_0 = \displaystyle{ \int_{-1}^1} t^2 \hspace{0.15cm}dt \).
<p></p>
The integral for \(b_n\) is zero for all \(n\) because the integrand is an odd function of \(t\). Since the integrand is even in the integrals for \(a_n\) we can write
\[a_n = 2 \displaystyle{ \int _{0}^1 }t^2 \cos (n\pi t) \hspace{0.15cm}dt \hspace{1cm} n = 0, 1, 2, \dots\]
The constant term will be \( \dfrac{a_0}{2}\) where  \(a_0 = 2 \displaystyle{ \int_{0}^1} t^2 \hspace{0.15cm}dt = \dfrac{2}{3} \).
For \(n = 1, 2, 3, \dots , \) we must integrate by parts (twice):
\[
\begin{align}
a_n &amp;= 2 \left\{ \left[ \dfrac{t^2}{n\pi}\sin(n\pi t) \right] _0^1 - \dfrac{2}{n\pi} \displaystyle{\int_0^1}t\sin(n\pi t) \hspace{0.15cm}dt \right\} \\
&amp;= -\dfrac{4}{n\pi}  \left\{ \left[ - \dfrac{t}{n\pi}\cos(n\pi t) \right] _0^1 + \dfrac{1}{n\pi} \displaystyle{\int_0^1}\cos(n\pi t) \hspace{0.15cm}dt \right\} 
\end{align}
\]
The integral in the second term gives zero so \( a_n = \dfrac{4}{n^2\pi^2} \cos n\pi \).
<p></p>
Now writing out the final form of the Fourier series we have
\[ 
\begin{align}
f(t) &amp;= \dfrac{1}{3} + \displaystyle{ \sum_{n=1}^\infty} \dfrac{4 \cos n\pi \cos(n\pi t)}{n^2\pi^2} \\
&amp;= \dfrac{1}{3} + \dfrac{4}{\pi^2} \left\{ -\cos(\pi t) + \dfrac{1}{4} \cos(2\pi t) - \dfrac{1}{9} \cos(3\pi t) + \dots \right\}
\end{align}
\]]]></text>
    </generalfeedback>
    <defaultgrade>1</defaultgrade>
    <penalty>0.1</penalty>
    <hidden>0</hidden>
    <idnumber/>
    <stackversion>
      <text>2021120900</text>
    </stackversion>
    <questionvariables>
      <text>ta1:1/3;
ta2:4*cos(n*pi)*cos(n*pi*t)/(n^2*pi^2);</text>
    </questionvariables>
    <specificfeedback format="html">
      <text/>
    </specificfeedback>
    <questionnote format="moodle_auto_format">
      <text/>
    </questionnote>
    <questiondescription format="moodle_auto_format">
      <text/>
    </questiondescription>
    <questionsimplify>1</questionsimplify>
    <assumepositive>0</assumepositive>
    <assumereal>0</assumereal>
    <prtcorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:green;"><i class="fa fa-check"></i></span> Correct answer, well done.]]></text>
    </prtcorrect>
    <prtpartiallycorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:orange;"><i class="fa fa-adjust"></i></span> Your answer is partially correct.]]></text>
    </prtpartiallycorrect>
    <prtincorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:red;"><i class="fa fa-times"></i></span> Incorrect answer.]]></text>
    </prtincorrect>
    <decimals>.</decimals>
    <scientificnotation>*10</scientificnotation>
    <multiplicationsign>dot</multiplicationsign>
    <sqrtsign>1</sqrtsign>
    <complexno>i</complexno>
    <inversetrig>cos-1</inversetrig>
    <logicsymbol>lang</logicsymbol>
    <matrixparens>[</matrixparens>
    <isbroken>0</isbroken>
    <variantsselectionseed/>
    <input>
      <name>ans1</name>
      <type>numerical</type>
      <tans>ta1</tans>
      <boxsize>3</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>0</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <input>
      <name>ans2</name>
      <type>algebraic</type>
      <tans>ta2</tans>
      <boxsize>30</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <prt>
      <name>prt1</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans1</sans>
        <tans>ta1</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt1-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <prt>
      <name>prt2</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans2</sans>
        <tans>ta2</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt2-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt2-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <qtest>
      <testcase>1</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ta1</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta2</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-1-T</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt2-1-T</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>2</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ta1+1</value>
      </testinput>
      <testinput>
        <name>ans2</name>
        <value>ta2+1</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt1-1-F</expectedanswernote>
      </expected>
      <expected>
        <name>prt2</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt2-1-F</expectedanswernote>
      </expected>
    </qtest>
  </question>
</quiz>
